Subject: Re: bug#1187: 23.0.60; Cannot read vline.el - invalid read syntax

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Fri, 17 Oct 2008 16:58:17 +0200

Eli Zaretskii wrote:
>> From: Lawrence Mitchell <[email-masked]>
>> Date: Fri, 17 Oct 2008 13:30:24 +0100
>> Cc: [email-masked]
>>
>> Drew Adams wrote:
>>> Library vline.el can be read fine in Emacs 22, but Emacs 23 raises an
>>> error, saying Invalid read syntax: "?".
>> The following sequence of events works for me in
>>
>> GNU Emacs 23.0.60.4 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll
>> bars) of 2008-10-07 on lamacq.ph.ed.ac.uk
>>
>> $ wget http://www.emacswiki.org/cgi-bin/emacs/download/vline.el \
>> -O /tmp/vline.el
>>
>> $ LANG=C emacs -Q --eval '(load-file "/tmp/vline.el")'
>> LANG=C so that current-language-environment is "ASCII"
>> and default-buffer-file-coding-system is nil.
>>
>> Successfully prints:
>> Loading /tmp/vline.el (source)...done
> 
> For me, the file vline.el downloaded from the above address loads
> successfully even without setting LANG to "C".  Just a simple "C-x
> C-f" works and doesn't throw any errors.
> 
> Either the version of vline.el Drew used is different, or something
> else is at work here.  Drew, are you using the patched EmacsW32 binary
> produced by Lennart?  If so, perhaps it's something that is being
> triggered by the patches.  Or maybe something in Drew's .emacs
> customizations?

I think Drew is using the unpatched version. And I can see this problem
with both the unpatched and the patched version.

However there might be a misunderstanding. There is no error while
reading vline.el. The error comes when I do eval-buffer.